package com.sjkj.appthreefloor_tsgz.adapter;

import android.content.Context;
import android.view.View;

import com.sjkj.appthreefloor_tsgz.R;
import com.sjkj.appthreefloor_tsgz.bean.EventBean;
import com.sjkj.appthreefloor_tsgz.databinding.ItemEventListBinding;
import com.sjkj.base_lib.adapter.BaseRecAdapter;

import java.util.List;

public class EventCenterAdapter extends BaseRecAdapter<EventBean, ItemEventListBinding> {

    public EventCenterAdapter(Context context) {
        super(context);
    }

    public EventCenterAdapter(Context context, List<EventBean> list) {
        super(context, list);
    }

    @Override
    protected int getLayoutResId(int viewType) {
        return R.layout.item_event_list;
    }

    @Override
    protected void onBindItem(ItemEventListBinding binding, EventBean bean, int position) {
        binding.setModel(bean);
        binding.executePendingBindings();
//        binding.titleTv TODO

    }


}
